summaryrefslogtreecommitdiffstats
path: root/jjb/3rd_party_ci/download-netvirt-artifact.sh
diff options
context:
space:
mode:
Diffstat (limited to 'jjb/3rd_party_ci/download-netvirt-artifact.sh')
-rwxr-xr-xjjb/3rd_party_ci/download-netvirt-artifact.sh8
1 files changed, 7 insertions, 1 deletions
diff --git a/jjb/3rd_party_ci/download-netvirt-artifact.sh b/jjb/3rd_party_ci/download-netvirt-artifact.sh
index d0b9a05d7..671a5fe7f 100755
--- a/jjb/3rd_party_ci/download-netvirt-artifact.sh
+++ b/jjb/3rd_party_ci/download-netvirt-artifact.sh
@@ -7,7 +7,13 @@ ODL_JOB_URL=$(curl -s $CHANGE_DETAILS_URL | grep netvirt-patch-test-current-carb
sed 's/\\n//g' | awk '{print $6}')
NETVIRT_ARTIFACT_URL="${ODL_JOB_URL}org.opendaylight.integration\$distribution-karaf/artifact/org.opendaylight.integration/distribution-karaf/0.6.0-SNAPSHOT/distribution-karaf-0.6.0-SNAPSHOT.tar.gz"
echo -e "URL to artifact is\n\t$NETVIRT_ARTIFACT_URL"
+
echo "Downloading the artifact. This could take time..."
-curl -s -o $NETVIRT_ARTIFACT $NETVIRT_ARTIFACT_URL
+wget -q -O $NETVIRT_ARTIFACT $NETVIRT_ARTIFACT_URL
+if [[ $? -ne 0 ]]; then
+ echo "The artifact does not exist! Probably removed due to ODL Jenkins artifact retention policy."
+ echo "Rerun netvirt-patch-test-current-carbon to get artifact rebuilt."
+ exit 1
+fi
echo "Download complete"
ls -al $NETVIRT_ARTIFACT